Package org.bukkit.inventory

# Class FurnaceRecipe

java.lang.Object
org.bukkit.inventory.CookingRecipe<FurnaceRecipe>
org.bukkit.inventory.FurnaceRecipe

All Implemented Interfaces:
  `net.kyori.adventure.key.Keyed`, `Recipe`, `Keyed`

public class FurnaceRecipe extends CookingRecipe<FurnaceRecipe>
Represents a furnace recipe.

## Constructor Summary

Constructors
Constructor
Description
`FurnaceRecipe(@NotNull ItemStack result, @NotNull Material source)`
Deprecated.
`FurnaceRecipe(@NotNull ItemStack result, @NotNull MaterialData source)`
Deprecated.
`FurnaceRecipe(@NotNull ItemStack result, @NotNull MaterialData source, float experience)`
Deprecated.
`FurnaceRecipe(@NotNull ItemStack result, @NotNull Material source, int data)`
Deprecated.
`FurnaceRecipe(@NotNull NamespacedKey key, @NotNull ItemStack result, @NotNull RecipeChoice input, float experience, int cookingTime)`
Create a furnace recipe to craft the specified ItemStack.
`FurnaceRecipe(@NotNull NamespacedKey key, @NotNull ItemStack result, @NotNull Material source, float experience, int cookingTime)`
Create a furnace recipe to craft the specified ItemStack.
`FurnaceRecipe(@NotNull NamespacedKey key, @NotNull ItemStack result, @NotNull Material source, int data, float experience, int cookingTime)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`@NotNull FurnaceRecipe`
`setInput(@NotNull Material input)`
Sets the input of this cooking recipe.
`@NotNull FurnaceRecipe`
`setInput(@NotNull MaterialData input)`
Deprecated.
use `setInputChoice(RecipeChoice)`
`FurnaceRecipe`
`setInput(@NotNull Material input, int data)`
Deprecated.
Magic value
`@NotNull FurnaceRecipe`
`setInputChoice(@NotNull RecipeChoice input)`
Sets the input of this cooking recipe.

### Methods inherited from class org.bukkit.inventory.CookingRecipe

`getCategory, getCookingTime, getExperience, getGroup, getInput, getInputChoice, getKey, getResult, setCategory, setCookingTime, setExperience, setGroup`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.bukkit.Keyed

`key`

## Constructor Details

### FurnaceRecipe

@Deprecated public FurnaceRecipe(@NotNull @NotNull ItemStack result, @NotNull @NotNull Material source)
Deprecated.

### FurnaceRecipe

@Deprecated public FurnaceRecipe(@NotNull @NotNull ItemStack result, @NotNull @NotNull MaterialData source)
Deprecated.

### FurnaceRecipe

@Deprecated public FurnaceRecipe(@NotNull @NotNull ItemStack result, @NotNull @NotNull MaterialData source, float experience)
Deprecated.

### FurnaceRecipe

@Deprecated public FurnaceRecipe(@NotNull @NotNull ItemStack result, @NotNull @NotNull Material source, int data)
Deprecated.

### FurnaceRecipe

public FurnaceRecipe(@NotNull @NotNull NamespacedKey key, @NotNull @NotNull ItemStack result, @NotNull @NotNull Material source, float experience, int cookingTime)
Create a furnace recipe to craft the specified ItemStack.

Parameters:
  `key` - The unique recipe key
  `result` - The item you want the recipe to create.
  `source` - The input material.
  `experience` - The experience given by this recipe
  `cookingTime` - The cooking time (in ticks)

### FurnaceRecipe

@Deprecated public FurnaceRecipe(@NotNull @NotNull NamespacedKey key, @NotNull @NotNull ItemStack result, @NotNull @NotNull Material source, int data, float experience, int cookingTime)
Deprecated.

### FurnaceRecipe

public FurnaceRecipe(@NotNull @NotNull NamespacedKey key, @NotNull @NotNull ItemStack result, @NotNull @NotNull RecipeChoice input, float experience, int cookingTime)
Create a furnace recipe to craft the specified ItemStack.

Parameters:
  `key` - The unique recipe key
  `result` - The item you want the recipe to create.
  `input` - The input choices.
  `experience` - The experience given by this recipe
  `cookingTime` - The cooking time (in ticks)

## Method Details

### setInput

@NotNull @Deprecated public @NotNull FurnaceRecipe setInput(@NotNull @NotNull MaterialData input)
Deprecated.
use `setInputChoice(RecipeChoice)`
Sets the input of this furnace recipe.

Parameters:
  `input` - The input material.
Returns:
  The changed recipe, so you can chain calls.

### setInput

@NotNull public @NotNull FurnaceRecipe setInput(@NotNull @NotNull Material input)
Description copied from class: `CookingRecipe`
Sets the input of this cooking recipe.

Overrides:
  `setInput` in class `CookingRecipe<FurnaceRecipe>`
Parameters:
  `input` - The input material.
Returns:
  The changed recipe, so you can chain calls.

### setInput

@Deprecated public FurnaceRecipe setInput(@NotNull @NotNull Material input, int data)
Deprecated.
Magic value
Sets the input of this furnace recipe.

Parameters:
  `input` - The input material.
  `data` - The data value. (Note: This is currently ignored by the CraftBukkit server.)
Returns:
  The changed recipe, so you can chain calls.

### setInputChoice

@NotNull public @NotNull FurnaceRecipe setInputChoice(@NotNull @NotNull RecipeChoice input)
Description copied from class: `CookingRecipe`
Sets the input of this cooking recipe.

Overrides:
  `setInputChoice` in class `CookingRecipe<FurnaceRecipe>`
Parameters:
  `input` - The input choice.
Returns:
  The changed recipe, so you can chain calls.